import request from '@/utils/request'
import { method } from 'lodash'

// 获取所有配置价格
export function customerList(parms) {
  return request({
    url: '/customer/page',
    method: 'get',
    params: parms
  })
}

// 删除配置价格
export function deleteCustomer(customerId,id) {
  return request({
    url: '/customer/'+customerId+'/' + id,
    method: 'delete'
  })
}

// 新增
export function addCustomer(data) {
  return request({
    url: '/customer/add',
    method: 'post',
    data: data
  })
}

// 编辑
export function editCustomer(data) {
  return request({
    url: '/customer',
    method: 'put',
    data: data
  })
}
// 编辑
export function userList() {
  return request({
    url: '/customer/bidding',
    method: 'get'
  })
}
// 角色
export function userRoles() {
  return request({
    url: '/role/roles',
    method: 'get'
  })
}

// 获取下载模板URL

export function apiFile(){
  return request({
    url:"/file/template/customer",
    method:"get"
  })
}

// 批量上传客户
export function addBatch(data){
  return request({
    url:"/customer/batch",
    method:"post",
    data:data
  })
}
